<?php

namespace App\Classes\Modules\KeyValuePairs\Standards\Validators;


use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\KeyValuePairs\DataTransferObjects\UpdateChatGPTPromptDTO;

class UpdateChatGPTPromptValidation extends AbstractValidation
{
    /**
     * @param UpdateChatGPTPromptDTO $object
     * @return array
     */
    protected function data($object): array
    {
        return [
            'title' => $object->getTitle(),
            'prompt' => $object->getPrompt(),
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array
    {
        return [
            'prompt' => 'required',
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array
    {
        return [];
    }
}
